package cn.teammodel.model.dto.Appraise;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @author winter
 * @create 2023-11-28 16:16
 */
@Data
public class FindVoteRecordDto {

    @NotNull
    @ApiModelProperty(value = "必要参数,用于获取当前学年,注意: 其他参数不传则默认获取登录老师在该学年下评价的所有记录", required = true)
    private String periodId;

    @ApiModelProperty(value = "班级或学生 id")
    private String targetId;

    @ApiModelProperty(value = "评价对象类型:", allowableValues = "student ,class")
    private String targetType;

    @ApiModelProperty(value = "按班级 id搜索")
    private String classId;
}
