package cn.teammodel.model.entity.appraise;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * 评价项
 * @author winter
 * @create 2023-11-27 16:47
 */

@Data
@JsonInclude(JsonInclude.Include.NON_NULL)
public class AppraiseRecordItem {
    private String id;
    private AppraiseTreeNode appraiseNode;
    /**
    * 用包装类,这样为 null 时就不会持久化
    */
    private Boolean spread;
    String creator;
    String creatorId;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;
}
