package cn.teammodel.model.dto.Appraise;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @author winter
 * @create 2023-11-22 16:16
 */
@Data
public class InsertNodeDto {
    @ApiModelProperty(value = "不传则默认为 default 的树增加节点")
    String periodId;
    @ApiModelProperty(value = "父亲节点,不传则为根节点")
    String pid;
    @ApiModelProperty(value = "父亲节点,不传则为根节点", required = true)
    @NotBlank(message = "name 不能为空")
    String name;
    String logo;
    Integer order = 0;
    Integer score = 0;
    boolean isPraise;
}
